#!/bin/sh
#
# This is the config file for the c compile part of the eiffel compilation
# the optimize flags can be tuned to needed usage
# location of this file is: eiffel55/studio/spec/linux-glibc2.1/include/config.sh
#
# Configured by: manuelt
# Target system: Linux + LinuxThreads (kernel threads)

d_bsdsig='undef'
ar='ar'
concurrent_prefix='c'
eiflib='finalized'
ld='ld'
mt_prefix='mt'

mtccflags='-pipe -DEIF_THREADS -DEIF_LINUXTHREADS'
mtlibs='-lm -lpthread'
mtsharedlibs='-lm -lpthread'

warning_level='-Wall'
# default (warning -m486 is deprecated)
#optimize='-O2 -m486'
# no optimization (results in faster compilation), architecture is pentium3
optimize='-O0 -march=pentium3'
wkoptimize='-O0'

start_test='if [ ! -f finished ] ; then'
end_test='; fi'
create_test='touch finished'

# flags libs and mtlibs for graphical application (needs motif)
#libs='-L/usr/X11R6/lib -lXm -lXt -lXext -lX11 -lXpm -lSM -lICE -lm'
#mtlibs='-L/usr/X11R6/lib -lXm -lXt -lXext -lX11 -lXpm -lSM -lICE -lm -lpthread'

libs='-lm'
sharedlibs='-lm'
ccflags='-pipe'
sharedccflags='-fPIC'

suffix='.a'
shared_suffix='.so'
shared_rt_suffix='.so'
shared_prefix='lib'
sharedlibversion='.1.0'
wkeiflib='wkbench'

#command_makefile='make -f'
command_makefile='make -j8 -f'
#make='make'
make='make -j8'
lngpad_2='8'
d_bsd='undef'
d_eunice='undef'
d_xenix='undef'
eunicefix=':'
Mcc='Mcc'
awk='/usr/bin/awk'
bash=''
bison='/usr/bin/bison'
byacc='byacc'
cat='/bin/cat'
chgrp='/bin/chgrp'
chmod='/bin/chmod'
chown='/bin/chown'
comm='/usr/bin/comm'
compress=''
cp='/bin/cp'
cpio=''
cpp='g++'
csh=''
date='/bin/date'
echo='/bin/echo'
egrep=''
emacs=''
expr='/usr/bin/expr'
find=''
flex='/usr/bin/flex'
gcc=''
grep='/bin/grep'
inews=''
ksh=''
less=''
line=''
lint=''
ln='/bin/ln'
lp=''
lpr=''
ls=''
mail=''
mailx=''
mkdir='/bin/mkdir'
more=''
mv='/bin/mv'
nroff='/usr/bin/nroff'
perl=''
pg=''
pmake=''
pr=''
rm='/bin/rm'
rmail=''
sed='/bin/sed'
sendmail=''
sh='sh'
shar=''
sleep=''
smail=''
sort='/usr/bin/sort'
submit=''
tail=''
tar=''
tbl=''
test='test'
touch='/usr/bin/touch'
tr='/usr/bin/tr'
troff=''
uname='/bin/uname'
uniq='/usr/bin/uniq'
uuname=''
vi=''
zcat=''
hint='previous'
myuname=''
osname='linux'
osvers='2.0.30'
Author=''
Date=''
Header=''
Id='$Id'
Locker=''
Log='$Log'
RCSfile=''
Revision=''
Source=''
State=''
abortsig='SIGIOT'
add_log='undef'
afs='false'
alignbytes='4'
bin='/usr/local/bin'
binexp='/usr/local/bin'
installbin='/usr/local/bin'
bitpbyte='8'
byteorder='1234'
cc='gcc'
gccversion='2.7.2.1'
cppflags=$ccflags
mtcppflags=$mtccflags
ldsharedflags='-shared -o'
mtldsharedflags='-shared -o'
sharedlink='ld'
ldflags=''
lkflags=''
cf_by='manuelt'
cf_time='Fri Feb  6 15:24:59 PDT 1998'
charsize='1'
contains='grep'
cpp_stuff='42'
cpplast='-'
cppminus='-'
cpprun='cc -E'
cppstdin='cc -E'
d_gettblsz='define'
nofile='256'
tablesize='ulimit(4, 0L)'
d_access='define'
d_bcmp='define'
d_bcopy='define'
d_bsdjmp='undef'
d_bzero='define'
d_chown='define'
d_dlopen='undef'
d_dup2='define'
d_eofpipe='define'
d_fcntl='define'
d_fd_macros='define'
d_fd_set='define'
d_fds_bits='define'
d_ftime='undef'
d_gettimeod='define'
d_getgrps='define'
d_gethid='define'
aphostname='/bin/hostname'
d_gethname='define'
d_phostname='undef'
d_uname='undef'
d_getopt='define'
d_getpagsz='define'
pagesize='4096'
d_keepsig='undef'
d_link='define'
d_lstat='define'
d_memcpy='define'
d_memmove='define'
d_mkdir='define'
d_mktime='define'
d_mmap='define'
d_open3='define'
d_pidcheck='define'
d_portable='undef'
d_readdir='define'
d_rewinddir='define'
d_seekdir=''
d_telldir=''
d_rename='define'
d_rmdir='define'
d_rusage='define'
d_safebcpy='define'
d_safemcpy='undef'
d_sbrk='define'
d_select='define'
d_siglist='undef'
d_sigsetmk='define'
d_sigaction=''
d_sigintrp=''
d_sigvec='undef'
d_sigvectr='undef'
d_smartmmap='undef'
d_oldsock='undef'
d_socket='define'
d_sockpair=''
sockethdr=''
socketlib=''
d_geteuid='define'
d_getgrgid='define'
d_getpwuid='define'
d_index='undef'
d_strchr='define'
d_strctcpy='define'
d_strdup='define'
d_strerrm='strerror(e)'
d_strerror='define'
d_sysernlst='undef'
d_syserrlst='undef'
d_time='define'
timetype='time_t'
clocktype='int'
d_times='undef'
d_unlink='define'
d_usleep='define'
d_utime='define'
d_voidsig='define'
signal_t='void'
doublesize='8'
floatsize='4'
gidtype='gid_t'
groupstype='gid_t'
h_fcntl='false'
h_sysfile='true'
i_direct='undef'
d_dirnamlen='undef'
direntrytype=''
i_dirent='define'
i_dlfcn='define'
i_fcntl='undef'
i_fd_setsyss='undef'
i_grp='define'
i_limits='define'
i_netns_ns='undef'
i_niin='define'
i_sysin='undef'
d_pwage='undef'
d_pwchange='undef'
d_pwclass='undef'
d_pwcomment='undef'
d_pwexpire='undef'
d_pwquota='undef'
i_pwd='define'
i_string='define'
strings='/usr/include/string.h'
i_sysdir='define'
i_sysfile='define'
i_sysndir='undef'
i_sysresrc='define'
i_sysselct='undef'
i_syssock='define'
i_systimeb='define'
i_systimes='define'
i_sysun='define'
i_systime='define'
i_systimek='undef'
i_time='define'
timeincl='/usr/include/sys/time.h '
i_tmvlsyss='undef'
i_utime='define'
i_stdarg='define'
i_varargs='undef'
i_varhdr='stdarg.h'
i_xm_protocols='define'
install='/usr/bin/install'
installdir=''
intsize='4'
lex='flex'
lexflags='-lB8 -C'
libc='/usr/lib/libc.a'
glibpth='/lib/pa1.1 /usr/lib/large /lib /usr/lib /usr/lib/386 /lib/386 /lib/large /usr/lib/small /lib/small /usr/ccs/lib /usr/ucblib /usr/local/lib /usr/shlib'
libpth='/lib /usr/lib /usr/local/lib'
plibpth=''
xlibpth='/usr/lib/386 /lib/386'
lns='/bin/ln -s'
longsize='4'
integer_64_size='8'
eif_integer_64_display='"lld"'
eif_integer_64_constant='CAT2(x,LL)'
integer_16_size='2'
d_mymalloc=''
mallocobj=''
mallocsrc=''
malloctype='void *'
usemymalloc=''
installmansrc='/usr/local/man/man1'
manext='1'
mansrc='/usr/local/man/man1'
mansrcexp='/usr/local/man/man1'
mkdep='/lannion3/manuelt/Misc/mkdep'
huge=''
large=''
medium=''
models='none'
small=''
split=''
mydomain=''
myhostname='quebec'
phostname='hostname'
c=''
n='-n'
groupcat=''
hostcat=''
passcat=''
orderlib='false'
ranlib='ranlib'
package='Eiffel4'
spackage='Eiffel4'
d_maypanic='undef'
pidtype='pid_t'
prefix='lib'
prefixexp='lib'
prototype='define'
ptrsize='4'
reg10=''
reg11=''
reg12=''
reg13=''
reg14=''
reg15=''
reg16=''
reg1='register'
reg2='register'
reg3='register'
reg4='register'
reg5='register'
reg6='register'
reg7=''
reg8=''
reg9=''
registers='6'
sbrksmart='define'
installscript='/usr/local/bin'
scriptdir='/usr/local/bin'
scriptdirexp='/usr/local/bin'
selecttype='fd_set *'
so='so'
d_keepalive='undef'
sharpbang='#!'
shsharp='true'
spitshell='cat'
startsh='#!/bin/sh'
sysman='/usr/man/man1'
uidtype='uid_t'
nm_opt=''
runnm='true'
usenm='true'
incpath=''
mips=''
mips_type=''
usrinc='/usr/include'
defvoidused='15'
voidflags='15'
yacc='yacc'
yaccflags=''
CONFIG=true
